Add Provisioned Trust Certificates

post

/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/addProvisionedTrustCertificates

Add every X.509 certificate in a PEM bundle to the Provisioned Trust keystore. The complete bundle is validated before it is persisted. Generated aliases are provisioned--1, provisioned--2, and so on in file order. Duplicate aliases or certificates cause the entire operation to fail.

Request

Supported Media Types
Path Parameters
Header Parameters
  • The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Body ()

Must contain the following fields:

Root Schema : Arguments
Type: object
Title: Arguments
Show Source
Security
  • Type: basic
    Description: A user in the Admin security role.
Back to Top

Response

200 Response

Returns the following fields:

Back to Top